Bug 459062 - pppoe: Fix skb_unshare_check call position [rhel-5.3]
Summary: pppoe: Fix skb_unshare_check call position [rhel-5.3]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 459063
TreeView+ depends on / blocked
 
Reported: 2008-08-14 06:36 UTC by Eugene Teo (Security Response)
Modified: 2015-05-05 01:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:15:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upstream patch for this issue (1.05 KB, patch)
2008-08-14 06:40 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Eugene Teo (Security Response) 2008-08-14 06:36:06 UTC
Description of problem:
The skb_unshare_check call needs to be made before pskb_may_pull, not after.

Comment 2 Eugene Teo (Security Response) 2008-08-14 06:40:32 UTC
Created attachment 314284 [details]
Upstream patch for this issue

Comment 3 Don Zickus 2008-09-03 03:41:41 UTC
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 errata-xmlrpc 2009-01-20 20:15:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.